Subject: Erratum in RFC 2616

From: Brian Kell <[email-masked]>
Date: Thu, 02 Jun 2005 08:44:00 -0500

In section 14.3, the definition of Accept-Encoding is given as follows:

       Accept-Encoding  = "Accept-Encoding" ":"
                          1#( codings [ ";" "q" "=" qvalue ] )

This definition implies that there must be at least one non-null 
codings. However, just below this definition, one of the examples given 
has an empty Accept-Encoding field-value:

       Accept-Encoding: compress, gzip
       Accept-Encoding:
       Accept-Encoding: *
       Accept-Encoding: compress;q=0.5, gzip;q=1.0
       Accept-Encoding: gzip;q=1.0, identity; q=0.5, *;q=0

Furthermore, the fourth rule for testing whether a content-coding is 
acceptable mentions the possibility that the field-value may be empty.

It seems, then, that the definition for Accept-Encoding should be revised:

       Accept-Encoding  = "Accept-Encoding" ":"
                          #( codings [ ";" "q" "=" qvalue ] )

Brian Kell
[email-masked]

---

From: "Alex Rousskov" <[email-masked]>
Date: Thu, 02 Jun 2005 20:53:10 -0600

>                           #( codings [ ";" "q" "=" qvalue ] )

Yes, looks like a bug to me.

Thank you,

Alex.